Bug 1484928 - Remove old dead Keystone services from systemd osp11
Summary: Remove old dead Keystone services from systemd osp11
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 11.0 (Ocata)
Assignee: Zane Bitter
QA Contact: Ronnie Rasouli
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-24 14:50 UTC by Raviv Bar-Tal
Modified: 2018-06-22 12:45 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-22 12:45:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
RDO 9086 0 None None None 2017-08-31 12:15:05 UTC

Description Raviv Bar-Tal 2017-08-24 14:50:40 UTC
Description of problem:
some openstack services were removed from osp11 and are not needed any more.
But when running the command `systemctl list-units 'openstack-*' --all`
User see the services as "not-found inactive dead"



Version-Release number of selected component (if applicable):


How reproducible:
run the command on undercloud and overcloude nodes:
`sudo systemctl list-units 'openstack-*' --all`

Steps to Reproduce:
1.
2.
3.

Actual results:

  UNIT                                       LOAD      ACTIVE   SUB     DESCRIPTION
  openstack-aodh-evaluator.service           loaded    active   running OpenStack Alarm evaluator service
  openstack-aodh-listener.service            loaded    active   running OpenStack Alarm listener service
  openstack-aodh-notifier.service            loaded    active   running OpenStack Alarm notifier service
  openstack-ceilometer-central.service       loaded    active   running OpenStack ceilometer central agent
  openstack-ceilometer-collector.service     loaded    active   running OpenStack ceilometer collection service
  openstack-ceilometer-notification.service  loaded    active   running OpenStack ceilometer notification agent
● openstack-cinder-volume.service            not-found inactive dead    openstack-cinder-volume.service
  openstack-glance-api.service               loaded    active   running OpenStack Image Service (code-named Glance) API server
  openstack-glance-registry.service          loaded    inactive dead    OpenStack Image Service (code-named Glance) Registry server
  openstack-gnocchi-metricd.service          loaded    active   running OpenStack gnocchi metricd service
  openstack-gnocchi-statsd.service           loaded    active   running OpenStack gnocchi statsd service
  openstack-heat-api-cfn.service             loaded    active   running Openstack Heat CFN-compatible API Service
  openstack-heat-api.service                 loaded    active   running OpenStack Heat API Service
  openstack-heat-engine.service              loaded    active   running Openstack Heat Engine Service
  openstack-ironic-api.service               loaded    active   running OpenStack Ironic API service
  openstack-ironic-conductor.service         loaded    active   running OpenStack Ironic Conductor service
  openstack-ironic-inspector-dnsmasq.service loaded    active   running PXE boot dnsmasq service for Ironic Inspector
  openstack-ironic-inspector.service         loaded    active   running Hardware introspection service for OpenStack Ironic
● openstack-keystone.service                 not-found inactive dead    openstack-keystone.service
  openstack-mistral-api.service              loaded    active   running Mistral API Server
  openstack-mistral-engine.service           loaded    active   running Mistral Engine Server
  openstack-mistral-executor.service         loaded    active   running Mistral Executor Server
  openstack-nova-api.service                 loaded    active   running OpenStack Nova API Server
  openstack-nova-cert.service                loaded    active   running OpenStack Nova Cert Server
  openstack-nova-compute.service             loaded    active   running OpenStack Nova Compute Server
  openstack-nova-conductor.service           loaded    active   running OpenStack Nova Conductor Server
● openstack-nova-network.service             not-found inactive dead    openstack-nova-network.service
● openstack-nova-objectstore.service         not-found inactive dead    openstack-nova-objectstore.service
  openstack-nova-scheduler.service           loaded    active   running OpenStack Nova Scheduler Server
● openstack-nova-volume.service              not-found inactive dead    openstack-nova-volume.service
● openstack-nova.compute.service             not-found inactive dead    openstack-nova.compute.service
  openstack-swift-account-reaper.service     loaded    active   running OpenStack Object Storage (swift) - Account Reaper
  openstack-swift-account.service            loaded    active   running OpenStack Object Storage (swift) - Account Server
  openstack-swift-container-updater.service  loaded    active   running OpenStack Object Storage (swift) - Container Updater
  openstack-swift-container.service          loaded    active   running OpenStack Object Storage (swift) - Container Server
  openstack-swift-object-updater.service     loaded    active   running OpenStack Object Storage (swift) - Object Updater
  openstack-swift-object.service             loaded    active   running OpenStack Object Storage (swift) - Object Server
  openstack-swift-proxy.service              loaded    active   running OpenStack Object Storage (swift) - Proxy Server
  openstack-zaqar.service                    loaded    active   running OpenStack Message Queuing Service (code-named Zaqar) Server
  openstack-zaqar@1.service                  loaded    active   running OpenStack Message Queuing Service (code-named Zaqar) Server Instance 1

Comment 1 Rob Crittenden 2017-08-29 17:51:52 UTC
These services are referenced in the After statement in openstack-heat-engine.service provided by openstack-heat-engine.

Comment 2 Christopher Brown 2017-09-06 12:51:34 UTC
Fix has merged upstream in RDO.

Comment 4 Scott Lewis 2018-06-22 12:45:48 UTC
OSP11 is now retired, see details at https://access.redhat.com/errata/product/191/ver=11/rhel---7/x86_64/RHBA-2018:1828


Note You need to log in before you can comment on or make changes to this bug.